%define module	SVG
%define name	perl-%{module}
%define version 2.34
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl extension for generating Scalable Vector Graphics (SVG) documents
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/SVG/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
Buildarch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
SVG is a Perl module which generates a nested data structure containing the
DOM representation of an SVG (Scalable Vector Graphics) image. Using SVG, you
can generate SVG objects, embed other SVG instances into it, access the DOM
object, create and access javascript, and generate SMIL animation content.

%prep
%setup -q -n %{module}-%{version}

%build
perl -pi -e 's/\cM//' examples/*.{pl,cgi}
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
%{__make} test

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc README Changes examples
%{perl_vendorlib}/SVG
%{perl_vendorlib}/SVG.pm
%{_mandir}/*/*



%changelog
* Fri Aug 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.34-1mdv2008.0
+ Revision: 65331
- new version

* Mon Jul 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.33-4mdv2008.0
+ Revision: 47034
- rebuild


* Fri Jun 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.33-3mdv2007.0
- spec cleanup
- %%mkrel

* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.33-2mdk 
- spec cleanup
- don't ship useless empty directories
- make test in %%check

* Tue May 17 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.33-1mdk
- 2.33
- Fix line endings in examples

* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.32-2mdk
- fix buildrequires in a backward compatible way

* Tue Oct 19 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.32-1mdk
- 2.32
- Add examples

* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.28-2mdk
- rpmbuildupdate aware

* Sun Jan 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.28-1mdk
- first mdk release

